Subject: Re: Initial Thoughts on OSI Level 1 Diagnostic for 10BaseT1L Interface

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Aug 2024 16:23:29 -0700

On Tue, 27 Aug 2024 07:13:55 +0200 Oleksij Rempel wrote:
> I'd like to share my initial thoughts on how to approach network OSI
> Layer 1 diagnostics for projects using the 10BaseT1L interface. I
> believe this concept could be made more generic and eventually included
> in the kernel documentation. The aim is to help developers like myself
> prioritize tasks more effectively.
> 
> The primary focus of this concept is on embedded systems where human
> interaction isn't feasible, meaning all interfaces should be
> machine-readable. For instance, a flight-recorder application could
> gather as much diagnostic data as possible for later analysis.

Having an open source form of that would be great. Most large operators
probably end up building their own triaging and failure classification
tools.

> At this point, the concept is targeting existing diagnostic interfaces,
> but it may also highlight the need for new ones.

Can't comment on T1L specifics myself but +1 for adding such guides
under Documentation/.